org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Enum EventStrategy.Detachment

- java.lang.Object
- - java.lang.Enum<EventStrategy.Detachment>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.EventStrategy.Detachment

- All Implemented Interfaces:
    Serializable, Comparable<EventStrategy.Detachment>, EventStrategy.Detacher
  Enclosing class:
    EventStrategy

      public static enum EventStrategy.Detachment
      extends Enum<EventStrategy.Detachment>
      implements EventStrategy.Detacher

  Options for detaching elements from the graph during eventing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DETACHED_NO_PROPERTIES` Uses `DetachedFactory` to detach and does not include properties of elements that have them.
    `DETACHED_WITH_PROPERTIES` Uses `DetachedFactory` to detach and includes properties of elements that have them.
    `NONE` Does not detach the element from the graph.
    `REFERENCE` Uses `ReferenceFactory` to detach which only includes id and label of elements.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventStrategy.Detachment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventStrategy.Detachment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.EventStrategy.Detacher

      `detach`

- - ### Enum Constant Detail

    - #### NONE

          public static final EventStrategy.Detachment NONE

      Does not detach the element from the graph. It should be noted that if this option is used with transactional graphs new transactions may be opened if these elements are accessed after a `commit()` is called.

    - #### DETACHED_WITH_PROPERTIES

          public static final EventStrategy.Detachment DETACHED_WITH_PROPERTIES

      Uses `DetachedFactory` to detach and includes properties of elements that have them.

    - #### DETACHED_NO_PROPERTIES

          public static final EventStrategy.Detachment DETACHED_NO_PROPERTIES

      Uses `DetachedFactory` to detach and does not include properties of elements that have them.

    - #### REFERENCE

          public static final EventStrategy.Detachment REFERENCE

      Uses `ReferenceFactory` to detach which only includes id and label of elements.

  - ### Method Detail

    - #### values

          public static EventStrategy.Detachment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventStrategy.Detachment c : EventStrategy.Detachment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventStrategy.Detachment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.